<?php

namespace App\Entities\Arquivo;

use App\Utils\Builder;
use App\Utils\Entity;

class ArquivoBuilder implements Builder {
	protected $id;
	protected $descricao;
	protected $arquivo;
	protected $id_clinica;
	protected $id_medico;
	protected $id_paciente;
	protected $id_pet;
	protected $tutor_view;
	protected $criado_em;
	protected $alterado_em;
	protected $criado_por;
	protected $alterado_por;

	public function setTutorView($tutor_view) {

		$this->tutor_view = $tutor_view;
		return $this;

	}

	public function setId($id) {

		$this->id = $id;
		return $this;

	}

	public function setIdPet($idpet) {

		$this->id_pet = $idpet;
		return $this;

	}

	public function setDescricao($descricao) {

		$this->descricao = $descricao;
		return $this;

	}

	public function setIdClinica($id_clinica) {

		$this->id_clinica = $id_clinica;
		return $this;

	}

	public function setIdMedico($id_medico) {

		$this->id_medico = $id_medico;
		return $this;

	}

	public function setIdPaciente($id_paciente) {

		$this->id_paciente = $id_paciente;
		return $this;

	}

	public function setCriadoEm($criado_em) {

		$this->criado_em = $criado_em;
		return $this;

	}

	public function setAlteradoEm($alterado_em) {

		$this->alterado_em = $alterado_em;
		return $this;

	}

	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
		return $this;

	}

	public function setAlteradoPor($alterado_por) {

		$this->alterado_por = $alterado_por;
		return $this;

	}

	public function setArquivo($arquivo) {

		$this->arquivo = $arquivo;
		return $this;

	}

	public function build(): Arquivo {

		$arquivo = new Arquivo();
		if (isset( $this->id )) {
			$arquivo->setId( $this->id );
		}
		if (isset( $this->descricao )) {
			$arquivo->setDescricao( $this->descricao );
		}
		if (isset( $this->id_clinica )) {
			$arquivo->setIdClinica( $this->id_clinica );
		}
		if (isset( $this->id_medico )) {
			$arquivo->setIdMedico( $this->id_medico );
		}
		if (isset( $this->id_paciente )) {
			$arquivo->setIdPaciente( $this->id_paciente );
		}
		if (isset( $this->id_pet )) {
			$arquivo->setIdPet( $this->id_pet );
		}
		if (isset( $this->criado_em )) {
			$arquivo->setcriadoem( $this->criado_em );
		}
		if (isset( $this->alterado_em )) {
			$arquivo->setalteradoem( $this->alterado_em );
		}
		if (isset( $this->criado_por )) {
			$arquivo->setcriadopor( $this->criado_por );
		}
		if (isset( $this->alterado_por )) {
			$arquivo->setalteradopor( $this->alterado_por );
		}
		if (isset( $this->arquivo )) {
			$arquivo->setArquivo( $this->arquivo );
		}
		if (isset( $this->tutor_view )) {
			$arquivo->setTutorView( $this->tutor_view );
		}
		return $arquivo;

	}

}